﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Runtime.InteropServices;

namespace VM8095Demo
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }
        		// Function prototypes to call from EDU05D.dll
				[DllImport("VM8095D.dll")]
				public static extern int OpenDevice();

				[DllImport("VM8095D.dll")]
				public static extern  void CloseDevice();

				[DllImport("VM8095D.dll")]
				public static extern bool Connected();

				[DllImport("VM8095D.dll")]
				public static extern int SendButtonCommand(int command);	

				[DllImport("VM8095D.dll")]
				public static extern int IsRunning();

				[DllImport("VM8095D.dll")]
				public static extern int PlayMusic();	

        private void button1_Click(object sender, EventArgs e)
        {
            int h;
            Button2.Enabled = false;
            Button3.Enabled = false;
            Button4.Enabled = false;
            Button5.Enabled = false;
            Button6.Enabled = false;
            Button7.Enabled = false;
            Button8.Enabled = false;
            Button9.Enabled = false;
            Button10.Enabled = false;
            Button11.Enabled = false;
            Button12.Enabled = false;
            Button13.Enabled = false;
            Button14.Enabled = false;
            Button15.Enabled = false;
            Button16.Enabled = false;

            h = OpenDevice();
            switch (h)
            {
                case -1:
                    Label1.Text = "VM8095 not found";
                    break;
                case 1:
                    Label1.Text = "VM8095 connected";
                    if (IsRunning() == 1)
                    {
                        Label1.Text = "VM8095 is in play mode.";
                        Button3.Enabled = true;
                        Button4.Enabled = true;
                        Button5.Enabled = true;
                        Button6.Enabled = true;
                        Button7.Enabled = true;
                        Button8.Enabled = true;
                        Button9.Enabled = true;
                        Button10.Enabled = true;
                        Button11.Enabled = true;
                        Button12.Enabled = true;
                        Button13.Enabled = true;
                        Button14.Enabled = true;
                        Button15.Enabled = true;
                        Button16.Enabled = true;
                    }
                    else
                        Button2.Enabled = true;
                    break;
              }
        }

        private void Button2_Click(object sender, EventArgs e)
        {
            if (PlayMusic() == 1)
            {
                Button2.Enabled = false;
                Button3.Enabled = true;
                Button4.Enabled = true;
                Button5.Enabled = true;
                Button6.Enabled = true;
                Button7.Enabled = true;
                Button8.Enabled = true;
                Button9.Enabled = true;
                Button10.Enabled = true;
                Button11.Enabled = true;
                Button12.Enabled = true;
                Button13.Enabled = true;
                Button14.Enabled = true;
                Button15.Enabled = true;
                Button16.Enabled = true;
            }
        }

        private void Button3_Click(object sender, EventArgs e)
        {
            SendButtonCommand(8);
        }

        private void Button4_Click(object sender, EventArgs e)
        {
            SendButtonCommand(9);
        }

        private void Button5_Click(object sender, EventArgs e)
        {
            SendButtonCommand(10);
        }

        private void Button6_Click(object sender, EventArgs e)
        {
            SendButtonCommand(11);
        }

        private void Button7_Click(object sender, EventArgs e)
        {
            SendButtonCommand(12);
        }

        private void Button8_Click(object sender, EventArgs e)
        {
            SendButtonCommand(13);
        }

        private void Button9_Click(object sender, EventArgs e)
        {
            SendButtonCommand(14);
        }

        private void Button16_Click(object sender, EventArgs e)
        {
            SendButtonCommand(1);
        }

        private void Button15_Click(object sender, EventArgs e)
        {
            SendButtonCommand(2);
        }

        private void Button14_Click(object sender, EventArgs e)
        {
            SendButtonCommand(3);
        }

        private void Button13_Click(object sender, EventArgs e)
        {
            SendButtonCommand(4);
        }

        private void Button12_Click(object sender, EventArgs e)
        {
            SendButtonCommand(5);
        }

        private void Button11_Click(object sender, EventArgs e)
        {
            SendButtonCommand(7);
        }

        private void Button10_Click(object sender, EventArgs e)
        {
            SendButtonCommand(6);
        }
    }
}
